Subject: [Softwires] Comments on draft-ietf-softwire-multicast-prefix-option

From: "[email-masked]" <[email-masked]>
Date: Mon, 6 Oct 2014 11:30:47 +0800

Hi authors,
 I’ve spent some time on reading this document and I think it is a good piece of work to define a new DHCPv6 option to carry the IPv6 prefixes.
 
 Here are several comments.

 1.       Could you please explain why the ‘DHCPv6 server supporting OPTION_V6_PREFIX64 should be configured with U_PREFIX64 and at least one ASM_PREFX64 or one     SSM_PREFIX64’ in section 4?
 This statement confuses me because when the ASM mode is supported, there is no need to configure the U_PREFIX64.
 
 2.       I do not really understand the following part in section 4.
 'When ASM_PREFIX64 and SSM_PREFIX64 are configured, the length of these prefixes must be /96.'
  You have mentioned in the section 3 that those prefixes are likely to be /96 not must be. Could you do me a favor to explain it more specifically?
 
 3.       Would you please describe the following part in section 5 in detail?
 'if both SSM and ASM modes are supported'
 The modes above are supported by the server or the client?
 
 4.       It seems that there is not a clear part that indicating which DHCPv6 message will carry the new DHCPv6 option. Do you think it is more appropriate to add a separate part to discuss this issue especially when the client is at the DHCP renew stage?
 
 5.       I also find that there is a spelling mistake in the following part in section 5.
 'the Pv4 multicast address is inserted in the last 32 bits of the IPv4-embedded IPv6 multicast address.'
  Where the second word should be 'IPv4'.
 
 Best regards,
 Linhui Sun

[email-masked]